Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations

CreateIAM2ProjectFromTemplate

CreateIAM2ProjectFromTemplate

POST/zstack/v1/iam2/projects/from/templates/{templateUuid}

Operation ID

CreateIAM2ProjectFromTemplate

Since

2.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • templateUuid
    StringRequired

    The template UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • resourceUuid
      String

      Optional.

    • roleUuids
      List

      Optional.

    • organizationUuid
      String

      Optional. The organization UUID.

    • tagUuids
      List

      Optional. The tag UUID.

    • resourceTemplates
      List

      Optional. The resource templates.

    • linkAccountUuid
      String

      Optional. The linked sub-account UUID. If left blank, the system auto-generates one.

  • systemTags
    List

    Optional.

  • userTags
    List

    Optional.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    IAM2ProjectInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • linkedAccountUuid
      StringRequired

      The linked account UUID.

    • state
      ProjectStateRequired

      See state.

      • name
        StringRequired

        The resource name.

      • ordinal
        intRequired

        The ordinal number.

    • attributes
      ListRequired

      See attributes.

      • uuid
        StringRequired

        The resource UUID.

      • name
        StringRequired

        The resource name.

      • value
        StringRequired

        The field value.

      • type
        AttributeTypeRequired

        See type.

        • name
          StringRequired

          The resource name.

        • ordinal
          intRequired

          The ordinal number.